Enroll leads into a program
curl --request POST \
--url https://web-api.clerk.chat/public/v1/programs/{programId}/leads/batch \
--header 'Content-Type: application/json' \
--header 'apiKey: <api-key>' \
--data '
{
"source": "spring-promo-landing",
"leads": [
{
"phone": "+14155550100",
"name": "John Doe",
"email": "jdoe@example.com",
"externalId": "crm-10472",
"source": "summer-promo-landing",
"sourceCampaign": "summer-promo",
"sourceUrl": "https://example.com/get-a-quote",
"occurredAt": "2026-06-26T14:30:00.000Z",
"fields": {
"state": "TX",
"zip": "78701",
"propertyValue": 450000,
"utm_source": "google"
},
"consent": [
{
"channel": "messaging",
"scope": "promotional",
"basis": "pewc",
"capturedAt": "2026-06-15T12:00:00.000Z",
"expiresAt": "2027-06-15T12:00:00.000Z",
"sourceUrl": "https://example.com/get-a-quote",
"ipAddress": "198.51.100.7",
"certProvider": "trustedform",
"certToken": "https://cert.trustedform.com/0a1b2c3d"
}
]
}
]
}
'import requests
url = "https://web-api.clerk.chat/public/v1/programs/{programId}/leads/batch"
payload = {
"source": "spring-promo-landing",
"leads": [
{
"phone": "+14155550100",
"name": "John Doe",
"email": "jdoe@example.com",
"externalId": "crm-10472",
"source": "summer-promo-landing",
"sourceCampaign": "summer-promo",
"sourceUrl": "https://example.com/get-a-quote",
"occurredAt": "2026-06-26T14:30:00.000Z",
"fields": {
"state": "TX",
"zip": "78701",
"propertyValue": 450000,
"utm_source": "google"
},
"consent": [
{
"channel": "messaging",
"scope": "promotional",
"basis": "pewc",
"capturedAt": "2026-06-15T12:00:00.000Z",
"expiresAt": "2027-06-15T12:00:00.000Z",
"sourceUrl": "https://example.com/get-a-quote",
"ipAddress": "198.51.100.7",
"certProvider": "trustedform",
"certToken": "https://cert.trustedform.com/0a1b2c3d"
}
]
}
]
}
headers = {
"apiKey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {apiKey: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
source: 'spring-promo-landing',
leads: [
{
phone: '+14155550100',
name: 'John Doe',
email: 'jdoe@example.com',
externalId: 'crm-10472',
source: 'summer-promo-landing',
sourceCampaign: 'summer-promo',
sourceUrl: 'https://example.com/get-a-quote',
occurredAt: '2026-06-26T14:30:00.000Z',
fields: {state: 'TX', zip: '78701', propertyValue: 450000, utm_source: 'google'},
consent: [
{
channel: 'messaging',
scope: 'promotional',
basis: 'pewc',
capturedAt: '2026-06-15T12:00:00.000Z',
expiresAt: '2027-06-15T12:00:00.000Z',
sourceUrl: 'https://example.com/get-a-quote',
ipAddress: '198.51.100.7',
certProvider: 'trustedform',
certToken: 'https://cert.trustedform.com/0a1b2c3d'
}
]
}
]
})
};
fetch('https://web-api.clerk.chat/public/v1/programs/{programId}/leads/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"results": [
{
"index": 0,
"status": "enrolled",
"externalId": "crm-10472",
"leadId": "00000000-0000-0000-0000-000000000000",
"enrollmentId": "00000000-0000-0000-0000-000000000000",
"reason": "opted_out"
}
],
"summary": {
"total": 3,
"enrolled": 2,
"skipped": 0,
"suppressed": 0,
"rejected": 1
}
}
}Programs
Enroll leads into a program
Enrolls a batch of leads into a program. Each lead is processed independently and the result for each lead is returned. The program must be in the “running” state to accept leads.
POST
/
public
/
v1
/
programs
/
{programId}
/
leads
/
batch
Enroll leads into a program
Authorizations
Path Parameters
Body
application/json
Response
Per-lead enrollment result
Show child attributes
Show child attributes
⌘I